# Class CIM_UsersAccess
extends CIM_UserEntity

The UsersAccess object class is used to specify a 'user' that is permitted access to resources. The ManagedElement that has access to the resources (represented in the model using the ElementAsUser association) may be a person, a service, a service access point or any collection thereof. This class is deprecated in lieu of the simpler CIM_Identity abstraction. The UsersAccess class combines credential requirements (in the form of biometric requirements) with the concepts of organizational information (via its position in the inheritance hierarchy), and identity management. These concepts need to be separated to be better understood and managed - hence, the deprecation.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_OrganizationalEntity
|
+--CIM_UserEntity
|
+--CIM_UsersAccess

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Deprecated | string | CIM_Identity

Description

string

The UsersAccess object class is used to specify a 'user' that is permitted access to resources. The ManagedElement that has access to the resources (represented in the model using the ElementAsUser association) may be a person, a service, a service access point or any collection thereof. This class is deprecated in lieu of the simpler CIM_Identity abstraction. The UsersAccess class combines credential requirements (in the form of biometric requirements) with the concepts of organizational information (via its position in the inheritance hierarchy), and identity management. These concepts need to be separated to be better understood and managed - hence, the deprecation.

UMLPackagePath | string | CIM::User::UsersAccess
Version | string | 2.8.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
CreationClassName | string |
Deprecated | string | No value
Description | string | CreationClassName indicates the name of the class or the subclass used in the creation of an instance. When used with the other key properties of this class, this property allows all instances of this class and its subclasses to be uniquely identified.
Key | boolean | true
MaxLen | uint32 | 256
ElementID | string |
Deprecated | string | CIM_Identity.InstanceID
Description | string | The ElementID property uniquely specifies the ManagedElement object instance that is the user represented by the UsersAccess object instance. The ElementID is formatted similarly to a model path except that the property-value pairs are ordered in alphabetical order (US ASCII lexical order).
Key | boolean | true
Name | string |
Deprecated | string | CIM_Identity.ElementName
Description | string | The Name property defines the label by which the object is known.
Key | boolean | true
MaxLen | uint32 | 256
Biometric | uint16[] |
Deprecated | string | No value
Description | string | Biometric information used to identify a person. The property value is left null or set to 'N/A' for non-human user or a user not using biometric information for authentication. This property is deprecated as it represents required Credential information and is more correctly modeled as a specific biometric credential.
ValueMap | string | 0, 1, 2, 3, 4, 5, 6, 7, 8
Values | string | N/A, Other, Facial, Retina, Mark, Finger, Voice, DNA-RNA, EEG

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement

## Class Methods